Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.mw.wst.resources
Interface TwoPhaseParticipant

public interface TwoPhaseParticipant

The TwoPhaseParticipant. As with all traditional TP implementations, the one-phase commit optimisation is supported.

Method Summary
`void` | `commit()`
`void` | `commitOnePhase()`
`Vote` | `prepare()`
`void` | `rollback()`

Method Detail

### prepare

    public Vote prepare()
                 throws WrongStateException,
                        HeuristicHazardException,
                        HeuristicMixedException,
                        UnknownTransactionException,
                        SystemException

  Throws:
    `WrongStateException`
    `HeuristicHazardException`
    `HeuristicMixedException`
    `UnknownTransactionException`
    `SystemException`

### commit

    public void commit()
                throws WrongStateException,
                       HeuristicHazardException,
                       HeuristicMixedException,
                       HeuristicRollbackException,
                       UnknownTransactionException,
                       SystemException

  Throws:
    `WrongStateException`
    `HeuristicHazardException`
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `UnknownTransactionException`
    `SystemException`

### rollback

    public void rollback()
                  throws WrongStateException,
                         HeuristicHazardException,
                         HeuristicMixedException,
                         HeuristicCommitException,
                         UnknownTransactionException,
                         SystemException

  Throws:
    `WrongStateException`
    `HeuristicHazardException`
    `HeuristicMixedException`
    `HeuristicCommitException`
    `UnknownTransactionException`
    `SystemException`

### commitOnePhase

    public void commitOnePhase()
                        throws WrongStateException,
                               HeuristicHazardException,
                               HeuristicMixedException,
                               HeuristicRollbackException,
                               UnknownTransactionException,
                               SystemException

  Throws:
    `WrongStateException`
    `HeuristicHazardException`
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `UnknownTransactionException`
    `SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD